# gateway-selector

Gateway web selector with IPSet

## Direct install

1. Install Node and IPSet.

2. Clone this project.

3. `npm ci && npm run build`

4. Install frontend from https://code.mycard.moe/pani/gateway-selector-web and build it into `build/public`.

5. Copy `config.example.yaml` into `config.yaml` and make your changes.

6. `npm start`

## About IPSet

This project only make changes in IPSet of the host. You have to set rules in `iptables` to make full use.

## Docker

The Docker image is at `nanahira/gateway-selector` in DockerHub, or `git-registry.mycard.moe/nanahira/gateway-selector` in MyCard Git Service.

Must be run in `net: host` and the cap `NET_ADMIN`.

### Ports

* The port configured, mostly `80` for http or `443` for https.

### Volumes

* `/usr/src/app/config.yaml` for config file.
